package com.chinaitop.depot.intelligent.ventilation.model;

import java.util.Date;

public class BusinessApproval {
    private Integer id;

    private Date createTime;

    private Integer isDeleted;

    private String remark;

    private Date updateTime;

    private String content;

    private String fromDepartment;

    private String fromPeople;

    private String fromUserName;

    private String lastPeople;

    private String operateTime;

    private String operator;

    private String operatorName;

    private String processInstanceId;

    private Integer projectId;

    private String projectName;

    private String result;

    private String taskId;

    private String taskInfo;

    private String taskName;

    private String taskType;

    private String title;

    private Integer version;

    private String taskTypeName;

    private Integer isHide;

    private Integer isCountersign;

    private String applyName;

    private String applyNameId;

    private Date applyTime;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 中间表创建时间
     * @return create_time 中间表创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 中间表创建时间
     * @param createTime 中间表创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 
     * @return is_deleted 
     */
    public Integer getIsDeleted() {
        return isDeleted;
    }

    /**
     * 
     * @param isDeleted 
     */
    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    /**
     * 
     * @return remark 
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 
     * @param remark 
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 
     * @return update_time 
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 
     * @param updateTime 
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 
     * @return content 
     */
    public String getContent() {
        return content;
    }

    /**
     * 
     * @param content 
     */
    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    /**
     * 
     * @return from_department 
     */
    public String getFromDepartment() {
        return fromDepartment;
    }

    /**
     * 
     * @param fromDepartment 
     */
    public void setFromDepartment(String fromDepartment) {
        this.fromDepartment = fromDepartment == null ? null : fromDepartment.trim();
    }

    /**
     * 
     * @return from_people 
     */
    public String getFromPeople() {
        return fromPeople;
    }

    /**
     * 
     * @param fromPeople 
     */
    public void setFromPeople(String fromPeople) {
        this.fromPeople = fromPeople == null ? null : fromPeople.trim();
    }

    /**
     * 
     * @return from_user_name 
     */
    public String getFromUserName() {
        return fromUserName;
    }

    /**
     * 
     * @param fromUserName 
     */
    public void setFromUserName(String fromUserName) {
        this.fromUserName = fromUserName == null ? null : fromUserName.trim();
    }

    /**
     * 
     * @return last_people 
     */
    public String getLastPeople() {
        return lastPeople;
    }

    /**
     * 
     * @param lastPeople 
     */
    public void setLastPeople(String lastPeople) {
        this.lastPeople = lastPeople == null ? null : lastPeople.trim();
    }

    /**
     * 
     * @return operate_time 
     */
    public String getOperateTime() {
        return operateTime;
    }

    /**
     * 
     * @param operateTime 
     */
    public void setOperateTime(String operateTime) {
        this.operateTime = operateTime == null ? null : operateTime.trim();
    }

    /**
     * 
     * @return operator 
     */
    public String getOperator() {
        return operator;
    }

    /**
     * 
     * @param operator 
     */
    public void setOperator(String operator) {
        this.operator = operator == null ? null : operator.trim();
    }

    /**
     * 
     * @return operator_name 
     */
    public String getOperatorName() {
        return operatorName;
    }

    /**
     * 
     * @param operatorName 
     */
    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName == null ? null : operatorName.trim();
    }

    /**
     * 
     * @return process_instance_id 
     */
    public String getProcessInstanceId() {
        return processInstanceId;
    }

    /**
     * 
     * @param processInstanceId 
     */
    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId == null ? null : processInstanceId.trim();
    }

    /**
     * 
     * @return project_id 
     */
    public Integer getProjectId() {
        return projectId;
    }

    /**
     * 
     * @param projectId 
     */
    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    /**
     * 
     * @return project_name 
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * 
     * @param projectName 
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName == null ? null : projectName.trim();
    }

    /**
     * 
     * @return result 
     */
    public String getResult() {
        return result;
    }

    /**
     * 
     * @param result 
     */
    public void setResult(String result) {
        this.result = result == null ? null : result.trim();
    }

    /**
     * 
     * @return task_id 
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * 
     * @param taskId 
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId == null ? null : taskId.trim();
    }

    /**
     * 
     * @return task_info 
     */
    public String getTaskInfo() {
        return taskInfo;
    }

    /**
     * 
     * @param taskInfo 
     */
    public void setTaskInfo(String taskInfo) {
        this.taskInfo = taskInfo == null ? null : taskInfo.trim();
    }

    /**
     * 
     * @return task_name 
     */
    public String getTaskName() {
        return taskName;
    }

    /**
     * 
     * @param taskName 
     */
    public void setTaskName(String taskName) {
        this.taskName = taskName == null ? null : taskName.trim();
    }

    /**
     * 
     * @return task_type 
     */
    public String getTaskType() {
        return taskType;
    }

    /**
     * 
     * @param taskType 
     */
    public void setTaskType(String taskType) {
        this.taskType = taskType == null ? null : taskType.trim();
    }

    /**
     * 
     * @return title 
     */
    public String getTitle() {
        return title;
    }

    /**
     * 
     * @param title 
     */
    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    /**
     * 
     * @return version 
     */
    public Integer getVersion() {
        return version;
    }

    /**
     * 
     * @param version 
     */
    public void setVersion(Integer version) {
        this.version = version;
    }

    /**
     * 
     * @return task_type_name 
     */
    public String getTaskTypeName() {
        return taskTypeName;
    }

    /**
     * 
     * @param taskTypeName 
     */
    public void setTaskTypeName(String taskTypeName) {
        this.taskTypeName = taskTypeName == null ? null : taskTypeName.trim();
    }

    /**
     * 是否隐藏
     * @return is_hide 是否隐藏
     */
    public Integer getIsHide() {
        return isHide;
    }

    /**
     * 是否隐藏
     * @param isHide 是否隐藏
     */
    public void setIsHide(Integer isHide) {
        this.isHide = isHide;
    }

    /**
     * 
     * @return is_countersign 
     */
    public Integer getIsCountersign() {
        return isCountersign;
    }

    /**
     * 
     * @param isCountersign 
     */
    public void setIsCountersign(Integer isCountersign) {
        this.isCountersign = isCountersign;
    }

    /**
     * 申请人
     * @return apply_name 申请人
     */
    public String getApplyName() {
        return applyName;
    }

    /**
     * 申请人
     * @param applyName 申请人
     */
    public void setApplyName(String applyName) {
        this.applyName = applyName == null ? null : applyName.trim();
    }

    /**
     * 申请人id
     * @return apply_name_id 申请人id
     */
    public String getApplyNameId() {
        return applyNameId;
    }

    /**
     * 申请人id
     * @param applyNameId 申请人id
     */
    public void setApplyNameId(String applyNameId) {
        this.applyNameId = applyNameId == null ? null : applyNameId.trim();
    }

    /**
     * 申请时间
     * @return apply_time 申请时间
     */
    public Date getApplyTime() {
        return applyTime;
    }

    /**
     * 申请时间
     * @param applyTime 申请时间
     */
    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }
}